//
//  Shader.vsh
//  ios
//
//  Created by Kevin Pazirandeh on 1/28/13.
//  Copyright (c) 2013 Auxbrain, Inc. All rights reserved.
//

attribute vec4 position;
attribute vec4 color;
attribute vec3 normal;

varying vec4 v_color;

uniform mat4 mvpMatrix;
uniform mat3 normalMatrix;
uniform lowp vec4 m_color;


void main()
{
    gl_Position = mvpMatrix * position;
//    vec3 normalDirection = normalize(normalMatrix * normal);
    
//    float nDotVP = max(0.0, dot(normalDirection, normalize(vec3(2.0, 1.0, 0))));
    
    v_color = color*m_color*(1.0-color.w);//pow(color*m_color, vec4(1.25))*1.6;//*nDotVP*1.5;
    v_color.xyz += color.xyz*color.w;
    
}
