//
//  Shader.vsh
//  ios
//
//  Created by Adam Berger on 1/28/13.
//  Copyright (c) 2013 Auxbrain, Inc. All rights reserved.
//

attribute vec4 position;
attribute vec2 uv1;
attribute vec2 uv2;

varying lowp vec2 uv1Varying;
varying lowp vec2 uv2Varying;
varying lowp float v_fog;

uniform float fogMult;
uniform mat4 mvpMatrix;

void main()
{

    uv1Varying = uv1;
    uv2Varying = uv2;
    gl_Position = mvpMatrix * position;
    
    float start = 25.0;
    float end = 150.0;
    v_fog = FOG(fogMult, start, end);
}
