//
//  Shader.vsh
//  ios
//
//  Created by Kevin Pazirandeh on 1/28/13.
//  Copyright (c) 2013 Auxbrain, Inc. All rights reserved.
//

attribute vec4 position;
attribute vec2 uv1;

varying vec2 frag_uv1;

uniform mat4 mvpMatrix;
uniform mat4 lMatrix;
uniform vec2 digitCoord;


void main()
{
    gl_Position = mvpMatrix * lMatrix * position;
    frag_uv1 = uv1 / vec2(4.0, 4.0) + vec2(digitCoord.x/4.0, 0.75 - digitCoord.y/4.0);
}
