//
//  Shader.fsh
//  ios
//
//  Created by Adam Berger on 1/28/13.
//  Copyright (c) 2013 Auxbrain, Inc. All rights reserved.
//


varying lowp vec4 v_color;
varying lowp float v_light_amt;

uniform highp mat4 viewInverse;
uniform highp mat4 mMatrix;
uniform highp mat4 vpMatrix;
uniform highp mat3 normalMatrix;
uniform lowp vec4 color;
uniform lowp vec4 ambient_light_color;
uniform lowp vec3 light_dir;

void main()
{
    
//    lowp vec3 lightDirection = normalize(light_dir);
    
    gl_FragColor.xyz = (ambient_light_color.xyz  + (pow(v_light_amt, 0.25) * color.xyz)) * v_color.xyz;
    gl_FragColor.xyz = gl_FragColor.xyz*(1.0 - v_color.w) + v_color.xyz*v_color.w;
    gl_FragColor.w = 0.0;
    

}
