//
//  road.fsh
//  ios
//
//  Created by Adam Berger on 1/28/13.
//  Copyright (c) 2013 Auxbrain, Inc. All rights reserved.
//


uniform sampler2D texture;
uniform SHADOW_SAMPLER shadow;

uniform lowp float baseShadow;

varying lowp float v_fog;
varying highp vec2 frag_uv1;
varying highp vec4 shadowCoord;

void main()
{
    
    gl_FragColor = texture2D(texture, frag_uv1);
    lowp float shadowVal = CALC_SHADOW_VAL(shadow, shadowCoord);
    
    gl_FragColor.xyz = FUNC_LIGHTING_SHADOW(gl_FragColor, vec4(1.0), shadowVal);
    ADD_FOG(v_fog, STANDARD_FOG_COLOR);
    
}
