//
//  Shader.vsh
//  ios
//
//  Created by Adam Berger on 1/28/13.
//  Copyright (c) 2013 Auxbrain, Inc. All rights reserved.
//

attribute vec4 position;
attribute vec2 bone;

uniform mat4 mvpMatrix;

UNIFORM_MAT4_ARRAY(mMatrices, 10);

void main()
{
    
    int b = int(bone.x)-1;
    gl_Position = mvpMatrix * MAKE_MAT4_FROM_ARRAY(mMatrices, b) * position;
    
}   
