//
//  Shader.vsh
//  ios
//
//  Created by Adam Berger on 1/28/13.
//  Copyright (c) 2013 Auxbrain, Inc. All rights reserved.
//

attribute vec4 position;
attribute vec2 uv1;
attribute vec4 color;

varying vec2 v_uv1;
varying vec4 v_color;

uniform mat4 mvpMatrix;

void main()
{
    gl_Position = mvpMatrix * position;
    v_uv1 = uv1;
    v_color = color;
}
