//
//  Shader.vsh
//  ios
//
//  Created by Adam Berger on 1/28/13.
//  Copyright (c) 2013 Auxbrain, Inc. All rights reserved.
//

attribute vec4 position;
attribute vec2 uv1;

varying highp vec2 frag_uv1;
varying lowp vec2 v_blurTexCoords[4];

uniform mat4 mvpMatrix;
uniform highp vec2 pixel_offset;

void main()
{
    gl_Position = mvpMatrix * position;
    frag_uv1 = uv1;
    
    v_blurTexCoords[ 0] = frag_uv1 + (-3.2307692308*pixel_offset);
    v_blurTexCoords[ 1] = frag_uv1 + (-1.3846153846*pixel_offset);
    v_blurTexCoords[ 2] = frag_uv1 + (1.3846153846*pixel_offset);
    v_blurTexCoords[ 3] = frag_uv1 + (3.2307692308*pixel_offset);

}
