//
//  Shader.vsh
//  ios
//
//  Created by Adam Berger on 1/28/13.
//  Copyright (c) 2013 Auxbrain, Inc. All rights reserved.
//

attribute vec4 position;
attribute vec2 uv1;

varying lowp vec2 uv1Varying;
varying lowp float v_fog;

uniform float fogMult;
uniform mat4 mvpMatrix;

void main()
{

    uv1Varying = uv1;
    gl_Position = mvpMatrix * position;
    
    float start = 25.0;
    float end = 150.0;
    v_fog = 1.0 - min(fogMult, max(0.0, (gl_Position.w - start)/(end-start)));
}
