//
//  Shader.fsh
//  ios
//
//  Created by Adam Berger on 1/28/13.
//  Copyright (c) 2013 Auxbrain, Inc. All rights reserved.
//

varying lowp vec2 frag_uv1;
varying lowp float v_fog;

uniform sampler2D texture;
uniform lowp vec4 color;

F_FOG_UNIFORMS

void main()
{

    lowp vec4 result = texture2D(texture, frag_uv1);
    gl_FragColor = result * color;
    
    ADD_FOG(v_fog, fog_color);
}
