//
//  Shader.vsh
//  ios
//
//  Created by Adam Berger on 1/28/13.
//  Copyright (c) 2013 Auxbrain, Inc. All rights reserved.
//

attribute vec4 position;
attribute vec2 uv1;

varying highp vec2 frag_uv1;
varying lowp float v_fog;

uniform mat4 mvpMatrix;
uniform float fog_mult;

void main()
{
    gl_Position = mvpMatrix * position;
    frag_uv1 = uv1;
    v_fog = STD_FOG(fog_mult);
}
