//
//  Shader.fsh
//  ios
//
//  Created by Adam Berger on 1/28/13.
//  Copyright (c) 2013 Auxbrain, Inc. All rights reserved.
//

varying lowp vec2 v_uv1;
varying lowp vec4 v_color;
varying lowp float v_fog;

uniform sampler2D texture;

F_FOG_UNIFORMS

void main()
{
    
    gl_FragColor = texture2D(texture, v_uv1);
    gl_FragColor *= v_color;
    
    ADD_FOG(v_fog, fog_color);
    
    COLOR_CORRECT;
}
