//
//  Shader.fsh
//  ios
//
//  Created by Adam Berger on 1/28/13.
//  Copyright (c) 2013 Auxbrain, Inc. All rights reserved.
//

uniform samplerCube texture;
V_FOG_UNIFORMS
F_FOG_UNIFORMS

varying highp vec3 v_uv;



void main()
{
    highp vec3 samp = normalize(v_uv);
    gl_FragColor = textureCube(texture, samp);
    lowp float factor = max(0.0, 0.97 - abs(samp.y * (20.5 - step(0.0, samp.y)*18.5)));
    ADD_FOG(max(fog_params.w, factor*factor), fog_color);
    COLOR_CORRECT;
    
    
}
